libbladeRF: Data Fields - Variables

| libbladeRF 2.5.0-git Nuand bladeRF library

Loading...
Searching...
No Matches
Here is a list of all documented variables with links to the struct/union documentation for each field:

### - a -

- actual_count : bladerf_metadata
- address : bladerf_image

### - b -

- backend : bladerf_devinfo

### - c -

- channel : bladerf_trigger
- checksum : bladerf_image

### - d -

- data : bladerf_image
- dc_ref : bladerf_lms_dc_cals
- den : bladerf_rational_rate
- describe : bladerf_version

### - f -

- flags : bladerf_metadata, bladerf_quick_tune
- freqsel : bladerf_quick_tune

### - h -

- handle : bladerf_backendinfo
- handle_count : bladerf_backendinfo

### - i -

- instance : bladerf_devinfo
- integer : bladerf_rational_rate

### - l -

- length : bladerf_image
- lock : bladerf_backendinfo
- lock_count : bladerf_backendinfo
- lpf_tuning : bladerf_lms_dc_cals

### - m -

- magic : bladerf_image
- major : bladerf_version
- manufacturer : bladerf_devinfo
- max : bladerf_range
- min : bladerf_range
- minor : bladerf_version
- mode : bladerf_gain_modes, bladerf_loopback_modes

### - n -

- name : bladerf_gain_modes, bladerf_loopback_modes
- nfrac : bladerf_quick_tune
- nint : bladerf_quick_tune
- nios_profile : bladerf_quick_tune
- num : bladerf_rational_rate

### - o -

- options : bladerf_trigger

### - p -

- patch : bladerf_version
- port : bladerf_quick_tune
- product : bladerf_devinfo

### - r -

- reserved : bladerf_image, bladerf_metadata
- rffe_profile : bladerf_quick_tune
- role : bladerf_trigger
- rx1_rfic_port : bladerf_rf_switch_config
- rx1_spdt_port : bladerf_rf_switch_config
- rx2_rfic_port : bladerf_rf_switch_config
- rx2_spdt_port : bladerf_rf_switch_config
- rx_lpf_i : bladerf_lms_dc_cals
- rx_lpf_q : bladerf_lms_dc_cals
- rxvga2a_i : bladerf_lms_dc_cals
- rxvga2a_q : bladerf_lms_dc_cals
- rxvga2b_i : bladerf_lms_dc_cals
- rxvga2b_q : bladerf_lms_dc_cals

### - s -

- scale : bladerf_range
- serial : bladerf_devinfo, bladerf_image, bladerf_serial
- signal : bladerf_trigger
- spdt : bladerf_quick_tune
- status : bladerf_metadata
- step : bladerf_range

### - t -

- timestamp : bladerf_image, bladerf_metadata
- tx1_rfic_port : bladerf_rf_switch_config
- tx1_spdt_port : bladerf_rf_switch_config
- tx2_rfic_port : bladerf_rf_switch_config
- tx2_spdt_port : bladerf_rf_switch_config
- tx_lpf_i : bladerf_lms_dc_cals
- tx_lpf_q : bladerf_lms_dc_cals
- type : bladerf_image

### - u -

- usb_addr : bladerf_devinfo
- usb_bus : bladerf_devinfo

### - v -

- vcocap : bladerf_quick_tune
- version : bladerf_image

### - x -

- xb_gpio : bladerf_quick_tune